# Function applyJsonToWebScene

- applyJsonToWebScene(webSceneJson, webScene, portalItem?): Promise<void>

- Updates an ArcGIS JS API WebScene from the given web scene JSON.

  #### Parameters

  - webSceneJson: Partial<WebSceneJson>

    The JSON to apply.

  - webScene: WebScene

    The web scene to update.

  - `Optional` portalItem: PortalItem

    The Portal item definition if the web scene comes from Portal/AGOL.

  #### Returns Promise<void>